Eclipse Platform Release 3.7

## org.eclipse.ui
Class PlatformUI

    java.lang.Object
      org.eclipse.ui.PlatformUI

    public final class PlatformUI

extends Object

The central class for access to the Eclipse Platform User Interface. This class cannot be instantiated; all functionality is provided by static methods. Features provided:

- creation of the workbench.
- access to the workbench.

See Also:
  `IWorkbench`

Field Summary
`static String` `PLUGIN_ID` Identifies the workbench plug-in.
`static int` `RETURN_EMERGENCY_CLOSE` Return code (value 3) indicating that the workbench was terminated with a call to IWorkbenchConfigurer#emergencyClose.
`static int` `RETURN_OK` Return code (value 0) indicating that the workbench terminated normally.
`static int` `RETURN_RESTART` Return code (value 1) indicating that the workbench was terminated with a call to `IWorkbench.restart`.
`static int` `RETURN_UNSTARTABLE` Return code (value 2) indicating that the workbench failed to start.

Method Summary
`static int` `createAndRunWorkbench(Display display, WorkbenchAdvisor advisor)` Creates the workbench and associates it with the given display and workbench advisor, and runs the workbench UI.
`static Display` `createDisplay()` Creates the `Display` to be used by the workbench.
`static IPreferenceStore` `getPreferenceStore()` Returns the preference store used for publicly settable workbench preferences.
`static TestableObject` `getTestableObject()` Returns the testable object facade, for use by the test harness.
`static IWorkbench` `getWorkbench()` Returns the workbench.
`static boolean` `isWorkbenchRunning()` Returns whether `createAndRunWorkbench` has been called to create the workbench, and the workbench has yet to terminate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final String PLUGIN_ID

  Identifies the workbench plug-in.

  See Also:
    Constant Field Values

### RETURN_OK

    public static final int RETURN_OK

  Return code (value 0) indicating that the workbench terminated normally.

  Since:
    3.0
  See Also:
    `createAndRunWorkbench(org.eclipse.swt.widgets.Display, org.eclipse.ui.application.WorkbenchAdvisor)`, Constant Field Values

### RETURN_RESTART

    public static final int RETURN_RESTART

  Return code (value 1) indicating that the workbench was terminated with a call to `IWorkbench.restart`.

  Since:
    3.0
  See Also:
    `createAndRunWorkbench(org.eclipse.swt.widgets.Display, org.eclipse.ui.application.WorkbenchAdvisor)`, `IWorkbench.restart()`, Constant Field Values

### RETURN_UNSTARTABLE

    public static final int RETURN_UNSTARTABLE

  Return code (value 2) indicating that the workbench failed to start.

  Since:
    3.0
  See Also:
    `createAndRunWorkbench(org.eclipse.swt.widgets.Display, org.eclipse.ui.application.WorkbenchAdvisor)`, `IWorkbench.restart()`, Constant Field Values

### RETURN_EMERGENCY_CLOSE

    public static final int RETURN_EMERGENCY_CLOSE

  Return code (value 3) indicating that the workbench was terminated with a call to IWorkbenchConfigurer#emergencyClose.

  Since:
    3.0
  See Also:
    `createAndRunWorkbench(org.eclipse.swt.widgets.Display, org.eclipse.ui.application.WorkbenchAdvisor)`, Constant Field Values

Method Detail

### getWorkbench

    public static IWorkbench getWorkbench()

  Returns the workbench. Fails if the workbench has not been created yet.

  Returns:
    the workbench

### isWorkbenchRunning

    public static boolean isWorkbenchRunning()

  Returns whether `createAndRunWorkbench` has been called to create the workbench, and the workbench has yet to terminate.

  Note that this method may return `true` while the workbench is still being initialized, so it may not be safe to call workbench API methods even if this method returns true. See bug 49316 for details.

  Returns:
    `true` if the workbench has been created and is still running, and `false` if the workbench has not yet been created or has completed
  Since:
    3.0

### createAndRunWorkbench

    public static int createAndRunWorkbench(Display display,
                                            WorkbenchAdvisor advisor)

  Creates the workbench and associates it with the given display and workbench advisor, and runs the workbench UI. This entails processing and dispatching events until the workbench is closed or restarted.

  This method is intended to be called by the main class (the "application"). Fails if the workbench UI has already been created.

  Use `createDisplay` to create the display to pass in.

  Note that this method is intended to be called by the application (`org.eclipse.core.boot.IPlatformRunnable`). It must be called exactly once, and early on before anyone else asks `getWorkbench()` for the workbench.

  Parameters:
    `display` - the display to be used for all UI interactions with the workbench
    `advisor` - the application-specific advisor that configures and specializes the workbench
  Returns:
    return code `RETURN_OK` for normal exit; `RETURN_RESTART` if the workbench was terminated with a call to `IWorkbench.restart`; `RETURN_UNSTARTABLE` if the workbench could not be started; `RETURN_EMERGENCY_CLOSE` if the UI quit because of an emergency; other values reserved for future use
  Since:
    3.0

### createDisplay

    public static Display createDisplay()

  Creates the `Display` to be used by the workbench. It is the caller's responsibility to dispose the resulting `Display`, not the workbench's.

  Returns:
    the display
  Since:
    3.0

### getTestableObject

    public static TestableObject getTestableObject()

  Returns the testable object facade, for use by the test harness.

  IMPORTANT: This method is only for use by the test harness. Applications and regular plug-ins should not call this method.

  Returns:
    the testable object facade
  Since:
    3.0

### getPreferenceStore

    public static IPreferenceStore getPreferenceStore()

  Returns the preference store used for publicly settable workbench preferences. Constants for these preferences are defined on `IWorkbenchPreferenceConstants`.

  Returns:
    the workbench public preference store
  Since:
    3.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.